:root {
    /*--anil-impulsa: #201751;*/
    /*--purpura-impulsa: #6A2C91;*/
    /*--azul-tinta-impulsa: #8783B4;*/

    /*--azul-texto: #172938;*/
    /*--gris-fondo: #F7F7F7;*/
    /*--gris-barra: #BBBBBB;*/

    --bs-body-font-family: "Arial";
    --bs-body-font-size: 1rem;
    --bs-nav-link-font-size: 1rem;
    --bg-naranja-corporativo: #a7ad00; 
    --bg-azul-corporativo: #015aaa;
    --bg-naranja-corporativo-filter: invert(54%) sepia(26%) saturate(1734%) hue-rotate(342deg) brightness(107%) contrast(102%);;
    --bg-gris-oscuro-panel: #3C3C3C;
    --bg-gris-claro-panel: #DEDCDC;
}

/* INICIO Estilos generales */

html[data-theme="claro"] {

    #links-footer a {
        color: var(--text-footer-color) !important;
    }

    #links-footer a:visited {
        color: var(--links-color-visitado-footer) !important;
    }


    .cf-seccion {
        background-color: #DEDCDC;
    }

    .cf-detalle-noticia {
        background-color: #FFFFFF;
    }

    #buscar-contenido:hover .fa-search {
        color: #FFFFFF !important;
    }

    .panel-gris {
        background-color: var(--bg-gris-claro-panel);
    }

    .tabla-cursos-historicos a {
        color: var(--links-color) !important;
    }

    input[type=text],
    input[type=email],
    select,
    textarea,
    .dt-search input,
    .dt-length select,
    .dt-paging-button a
    {
        background-color: #fff;
        border-color: #000;
    }

    .form-control:disabled {
        background-color: var(--bs-secondary-bg) !important;
        opacity: 1;
    }

    .page-link.active, .active > .page-link{
        color: #FFFFFF;
        background-color: var(--bg-azul-corporativo);
    }

    .dt-search>button.btn-general{
        border-top-left-radius: 0px !important;
        border-bottom-left-radius: 0px !important;
        padding: 2.5px 7px !important;
        margin-left: -2.5px;
        border: 1px solid !important;
        border-color: #000!important;
    }

    #btn-fijar {
        width: 28px;
        border: 1px solid #666666;
    }

    .fixed-speaker{
        background-color: #f5f5f5;
    }
}

/* Inicio alto contraste */
html[data-theme="oscuro"] {

    #btn-fijar {
        width: 28px;
        border: 1px solid #fff;
    }

    #btn-fijar > svg{
        stroke: #fff;
    }

    .fixed-speaker{
        background-color: #000;
    }

    .dt-search>button.btn-general{
        border-top-left-radius: 0px !important;
        border-bottom-left-radius: 0px !important;
        padding: 2.5px 7px !important;
        margin-left: -2.5px;
        border: 1px solid !important;
        border-color: #fff!important;
    }

    .tabla-cursos-historicos a {
        color: var(--bg-naranja-corporativo) !important;
    }

    #divAccesibilidad button img,
    .img-estado,
    /*.rsbtn_tooltoggle,*/
    /*.rsbtn_play,*/
    #img-notificacion,
    .bandera,
    .graf-me
    {
        -webkit-filter: invert(100%); /* safari 6.0 - 9.0 */
        filter: invert(100%);
    }

    .filtroBandera {
        filter: brightness(0) saturate(100%) invert(100%) sepia(1%) saturate(7351%) hue-rotate(229deg) brightness(118%) contrast(100%);
    }

    #divAccesibilidad button {
        background-color: black;
    }

    #divAccesibilidad .rsicn {
        color: white;
    }

    .btn:focus-visible, .btn:active {
        box-shadow: 0 0 0 0.40rem rgba(255, 255, 255, 0.60);
    }

    #navbarNavElements .nav-link:focus-visible, .nav-link:active {
        box-shadow: 0 0 0 0.40rem rgba(255, 255, 255, 0.60);
    }

    .imgGray {
        /*filter: grayscale(100%);*/
        border-color: #FFFFFF !important;
    }

    .grayScale {
        filter: grayscale(100%);
    }

    input[type=text],
    input[type=email],
    input[type=date],
    input[type=file],
    select,
    textarea,
    .dt-search input,
    .dt-length select,
    .dt-paging-button a,
    .pagination a
    {
        background-color: #000000;
        border-color: #FFFFFF !important;
        color: #FFFFFF !important;
    }

    input[type=date] {
        color-scheme: dark;
    }

    input[type=date]::-webkit-calendar-picker-indicator {
        filter: invert(0);
    }

    textarea, textarea:focus {
        background: #000000;
        color: #FFFFFF !important;
    }

    .dt-length label,
    .dt-search label,
    .dt-info,
    .dt-paging-button a,
    .pagination a{
        color: #FFFFFF !important;
    }

    .btn {
        border-color: #FFFFFF !important;
    }

    .btn-abrir {
        color: #FFFFFF;
    }

    #buscar-contenido .fa, #btn_buscar_recurso .fa
    , #btn-buscar-curso .fa {
        color: #FFFFFF !important;
    }

    .card, .modal-content, .list-group-item {
        border-color: #FFFFFF !important;
        background-color: #000000 !important;
        color: #FFFFFF !important;
    }

    .card-img-top, #eventos img {
        /*filter: grayscale(100%);*/
    }

    h1,h2,h3,h4,h5,h6,span, p,
    .breadcrumb-item,
    .breadcrumb-item:before, .btn-close, label, ol, b, li
    {
        color: #FFFFFF !important;
    }

    .custom-border-bottom {
        border-bottom: 1px #FFFFFF solid;
    }

    .custom-border-top {
        border-top: 1px #FFFFFF solid;
    }

    .cf-seccion, .cf-detalle-noticia {
        background-color: #000000;
        /*border: 1px #FFFFFF solid;*/
    }

    .dropdown-menu {
        border: 1px var(--bg-naranja-corporativo) solid;
        border-top: 5px var(--bg-naranja-corporativo) solid;
    }

    .bg-img-general {
        /*filter: grayscale();*/
    }

    /* Estilos tablas sencillas */
    .table > :not(caption) > * > * {
        background-color: #000000 !important;
        color: #FFFFFF;
    }
    .table {
        border: 1px #FFFFFF solid !important;
    }

    .table-active {
        --bs-table-bg-state: rgb(222 220 220 / 20%);
    }

    .badge-general {
        background-color: var(--bg-naranja-corporativo);
    }

    /* Inicio ReadSpeaker */
    /*#divAccesibilidad > button:focus-visible {*/
    /*    -webkit-filter: unset; !* safari 6.0 - 9.0 *!*/
    /*    filter: unset;*/
    /*}*/
    #divAccesibilidad .rsbtn_play {
        background: none;
    }

    #divAccesibilidad .rsbtn_play span,
    #divAccesibilidad .rsbtn_play:focus span,
    #rs_menu_desktop > a > div > span.rsbtn_right.rsimg.rsplay.rspart::before {
        color: white;
    }

    #rs_menu_desktop > a > span.rsbtn_left.rsimg.rspart > span > span {
        color: white !important;
    }


    #rs_menu_desktop > div > div > div > div > ul > li > button:focus-visible {
        background-color: white;
    }

    #rs_menu_desktop > div > div > div > div > ul > li > button:focus-visible > span {
        color: black;
    }

    /* Fin ReadSpeaker */

    /* Inicio Datatables */
    .page-link.active, .active > .page-link {
        background-color: var(--bg-azul-corporativo);
    }
    /* Fin Datatables */

    .panel-negro, .panel-gris-medio {
        background-color: var(--bg-gris-oscuro-panel);
        border: 1px #ffffff solid;
    }

    .download-icon {
        filter: var(--bg-naranja-corporativo-filter);
    }

    .nivel-unidad {
        background-color: var(--bg-gris-oscuro-panel) !important;
    }

    .panel-gris {
        background-color: var(--bg-gris-oscuro-panel);
    }

    .anchor-email {
        color: var(--bg-naranja-corporativo) !important;
    }

    /* Footer */

    footer a#emailFooter {
        color: var(--bg-naranja-corporativo) !important;
    }

    /* Fin Footer */

    ::placeholder {
        color: #FFFFFF;
        opacity: 1; /* Firefox */
    }

    ::-ms-input-placeholder { /* Edge 12 -18 */
        color: #FFFFFF;
    }
}
/* Fin alto contraste */

body {
    background-color: var(--body-color);
}

.btn-general, input[type=file]::file-selector-button {
    background-color: var(--button-bg-color) !important;
    color: var(--button-text-color) !important;
    border-radius: 5px !important;
    border-color: var(--button-border-color) !important;
    border-width: 2px !important;
    padding: 8px;
    /*font-weight: bold !important;*/
}

.btn-general:hover, input[type=file]::file-selector-button:hover {
    background-color: var(--button-bg-color-hover) !important;
    color: var(--button-text-color) !important;
}

.btn-close {
    --bs-btn-close-bg: none;
    --bs-btn-close-opacity: none;
}

#links-footer a, .breadcrumb-item a,
.tablas-historicas a, .descargables a,
.tabla-cursos-historicos a,
.tabla-proyectos-historicos a,
.links-general{
    color: var(--links-color) !important;
}

/* Para los links visitados */
.breadcrumb-item a:visited,
.tablas-historicas a:visited, .descargables a:visited,
.tabla-cursos-historicos a:visited,
.tabla-proyectos-historicos a:visited,
.links-general:visited{
    color: var(--links-color-visitado) !important;
}

#links-footer a:visited {
    color: var(--links-color-visitado-footer) !important;
}

.style_caja_btn {
    height: 40px;
    width: 100%;
    font-size: larger !important;
}

.borde-general {
    border: 1px #666666 solid !important;
}

.borde-input {
    border-radius: 15px !important;
    border-width: 1px !important;
    border-color: #707070 !important;
}

.deshabilitado {
    pointer-events: none;
    opacity: 0.5;
}

.card {
    border-color: #666666;
}

.radius-general {
    border-radius: 5px !important;
}

.radius-left {
    border-radius: 5px 0 0 5px !important;
}

.radius-right {
    border-radius: 0 5px 5px 0 !important;
}

.dropdown-menu {
    background-color: var(--header-color);
    border-radius: unset;
    border: 1px #666666 solid;
    border-top: 5px #666666 solid;
}

.dropdown-item:active {
    background-color: transparent;
}

/*.dropdown-custom {*/
/*    border-radius: 12px !important;*/
/*    font-size: 0.9rem !important;*/
/*}*/

.btn:focus-visible, .btn:active, .btn:focus,
a:focus-visible,
.form-control:focus,
.form-select:focus,
.nav-link:focus-visible,
.accordion-button:focus,
.btn-close:focus {
    outline: 3px solid var(--button-focus-color) !important;
    outline-offset: 2px !important;
}

#divAccesibilidad .btn {
    border: none;
    border-radius: 0;
}

#divAccesibilidad .btn img {
    width: 28px;
}

.h5-custom {
    font-size: 1.125rem;
}

.custom-border-bottom {
    border-bottom: 1px var(--bg-naranja-corporativo) solid;
}

.bg-img-general {
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.img-noticia {
    height: 120px;
}

.img-curso {
    height: 180px;
}

.img-malla {
    height: 375px;
}

#btn-back-to-top {
    border-color: white !important;
    position: fixed;
    bottom: 20px;
    right: 20px;
    display: none;
    width: 80px;
    height: 80px;
}

.tablas-historicas a {
    color: var(--links-color) !important;
}

.badge-general {
    background-color: #0d6efd;
}

.form-control:focus, .nav-link:focus-visible {
    box-shadow: none;
}

.panel-negro {
    background-color: #000000;
    color: #FFFFFF;
}

.panel-gris-oscuro {
    background-color: var(--bg-gris-oscuro-panel);
}

.panel-gris-medio {
    background-color: #DEDCDC;
}

.img-responsive {
    max-width: 100%;
    height: auto;
}

/* Fin Estilos generales */


/* Estilos para el header */

.header-fluid {
    background-color: var(--header-color);
    /*min-height: 142px;*/
    border-color: #FFFFFF;
    border-style: solid;
    border-top-width: 1px;
    border-bottom-width: 1px;
    border-right: none;
    border-left: none;
}

#navbarNavElements .nav-item {
    /*height: 100%;*/
    text-align: center;
}

#navbarNavElements a {
    /*font-size: 1rem;*/
    font-weight: 500;
    color: var(--text-header-color);
}

#navbarNavElements a:hover {
    color: var(--text-header-color-hover);
}

#navbarNavElements a:focus {
    color: var(--text-header-color-hover);
}

#navbarNavElements .nav-item {
    padding-right: 0.5rem !important;
    padding-left: 0.5rem !important;
}

.menu-activo {
    border-bottom: 4px var(--bg-naranja-corporativo) solid;
    padding-bottom: 2px;
}

.skip-link {
    position: absolute;
    display: inline-block;
    padding: .375rem .75rem;
    line-height: 1;
    font-size: 1.25rem;
    background-color: black;
    color: white;
    /* Ensure the Y position is set to zero and any movement on the transform property */
    transform: translateY(0);
    transition: transform 250ms ease-in;
}

.skip-link:not(:focus) {
    transform: translateY(-2rem);
}

.skip-link:focus {
    outline: transparent solid 2px;
}


/* Fin Estilos para el header */

/* Inicio Estilos para readSpeaker */

#divAccesibilidad .rsbtn_play {
    min-height: 26px;
}

#divAccesibilidad .rsbtn_play:focus {
    background-color: transparent
}

#divAccesibilidad .rsbtn_play:focus span, #rs_menu_desktop > a > div > span.rsbtn_right.rsimg.rsplay.rspart::before  {
    color: black;
}

#divAccesibilidad .rsicn {
    color: black;
}

#divAccesibilidad .rsicn:focus {
    color: black;
}

#divAccesibilidad .rsbtn_tooltoggle {
    background-color: white;
}

#divAccesibilidad .rsbtn_play:focus .borde-escuchar {
    outline: 3px solid var(--button-focus-color);
    outline-offset: 2px;
}

#divAccesibilidad #rs_menu_desktop > button:focus-visible {
    outline: 3px solid var(--button-focus-color);
    outline-offset: 2px;
}

#divAccesibilidad #rs_menu_desktop > a > div > span.rsbtn_right.rsimg.rsplay.rspart {
    margin-right: 0;
    padding-right: 6px;
}

/*.rsbtn button {*/
/*    border: var(--bs-border-width) var(--bs-border-style) var(--bs-border-color) !important;*/
/*}*/
/* Fin Estilos para el readSpeaker */

/* Estilos para el footer */

footer {
    min-height: 130px;
    background-color: var(--footer-color);
    color: var(--text-footer-color);
}

.logo_footer_celeris {
    width: 60px;
    margin-left: 2px;
    margin-top: -5px;
}

/* Fin Estilos para el footer */

/* Estilos para consultas asíncronas */

.opacar_consulta {
    pointer-events: none;
    opacity: 0.4
}

/* Fin Estilos para consultas asíncronas */


/* Inicio Estilos para validaciones de formularios */

.was-validated .form-control:invalid, .form-control.is-invalid {
    border-color: var(--bs-form-invalid-border-color) !important;
}

.was-validated .form-control:valid, .form-control.is-valid {
    border-color: var(--bs-form-valid-border-color) !important;
}

/*was-validated .form-select:invalid, .form-select.is-invalid {*/
/*    border-color: var(--bs-form-invalid-border-color) !important;*/
/*}*/

/*was-validated .form-select:valid, .form-select.is-valid {*/
/*    border-color: var(--bs-form-valid-border-color) !important;*/
/*}*/

.fix-icon.is-invalid, .fix-icon.is-valid{
    background-position: right calc(0.375em + 2.1875rem) center !important;
}

/* Fin Estilos para validaciones de formularios */




/* Estilos generales para los select2 */

/*.select2-selection {*/
/*    border-radius: 12px !important;*/
/*}*/

/*!*.select2-container--default {*!*/
/*!*    width: 100% !important;*!*/
/*!*}*!*/

/*.select2-dropdown.increasedzindexclass {*/
/*    z-index: 999999;*/
/*}*/

/*.select2-container .select2-selection--single {*/
/*    height: 38px !important;*/
/*    border: 1px solid #707070 !important;*/
/*}*/

/*.select2-selection__rendered {*/
/*    margin: 3px;*/
/*}*/

/*.select2-selection__arrow {*/
/*    margin: 3px;*/
/*}*/

/* Fin Estilos generales para los select2 */

/* Estilos spinner central */

/*#cover-spin {*/
/*    position:absolute;*/
/*    width:100%;*/
/*    left:0;right:0;top:0;bottom:0;*/
/*    background-color: rgba(255,255,255,0.7);*/
/*    z-index:9999;*/
/*    display:block;*/
/*}*/

/*@-webkit-keyframes spin {*/
/*    from {-webkit-transform:rotate(0deg);}*/
/*    to {-webkit-transform:rotate(360deg);}*/
/*}*/

/*@keyframes spin {*/
/*    from {transform:rotate(0deg);}*/
/*    to {transform:rotate(360deg);}*/
/*}*/

/*#cover-spin::after {*/
/*    content:'';*/
/*    display:block;*/
/*    position:absolute;*/
/*    left:48%;top:40%;*/
/*    width:40px;height:40px;*/
/*    border-style:solid;*/
/*    border-color:black;*/
/*    border-top-color:transparent;*/
/*    border-width: 4px;*/
/*    border-radius:50%;*/
/*    -webkit-animation: spin .8s linear infinite;*/
/*    animation: spin .8s linear infinite;*/
/*}*/

/* Fin Estilos spinner central */


/* Estilos para inputs */

.input-icono {
    padding-right: 29px !important;
}

.input-icono ~ i {
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 100;
}

/* Oculta las flechas en inputs de tipo número */
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type="number"] {
    -moz-appearance: textfield;
}

/* Fin Estilos para inputs */


/* Estilos datatables */

.page-link.active, .active > .page-link {
    background-color: var(--button-bg-color);
}

/* Fin Estilos datatables */



/*@media (max-width: 768px) {*/
/*    !*.div-logo {*!*/
/*    !*    display: none;*!*/
/*    !*}*!*/
/*}*/


.card-text{
    line-height: 1.5rem;
}

.card-text p{
    margin-bottom: 2rem;
}

.fixed-speaker{
    position: fixed;
    border-bottom: 1px solid #000;
    left: 0;
    margin: 0;
    padding: 0;
    right: 0;
    z-index: 999999;
    width: 100%;
    max-width: none;
    top:0px;
}

.modal-dialog modal-lg{
    margin-top: 45px;
}

.titulo-caja-general {
    height: 30px;
}

.descripcion-caja-general {
    height: 80px;
}

.descripcion-caja-general-noticias {
    height: 90px;
}

/* Inicio media queries de propósito general */


/* Extra small devices (portrait phones, less than 576px) */
@media (max-width: 575.98px) {

    .titulo-caja-general, .descripcion-caja-general, .descripcion-caja-general-noticias {
        height: auto;
    }

}

/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {

    .titulo-caja-general {
        height: 60px;
    }

    .descripcion-caja-general {
        height: 150px;
    }

    .descripcion-caja-general-noticias {
        height: 150px;
    }

}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {

    .titulo-caja-general {
        height: 60px;
    }

    .descripcion-caja-general {
        height: 175px;
    }

    .descripcion-caja-general-noticias {
        height: 160px;
    }

}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {

    .descripcion-caja-general {
        height: 130px;
    }

    .descripcion-caja-general-noticias {
        height: 120px;
    }

}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {

    .titulo-caja-general {
        height: 40px;
    }

    .descripcion-caja-general {
        height: 100px;
    }

    .descripcion-caja-general-noticias {
        height: 80px;
    }

}

/* Extra extra large devices (larger desktops, 1400px and up) */
@media (min-width: 1400px) {

}

/* Fin media queries de propósito general */


/* Inicio Estilos para el modal de trivias y encuestas */

.imagen-fondo-modal {
    opacity: 0.5;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

}

.trv-logo {
    width: 50px;
}

/*.bg-trv-modal::before {*/
/*    content: '';*/
/*    position: absolute;*/
/*    top: 0;*/
/*    left: 0;*/
/*    width: 100%;*/
/*    height: 100%;*/
/*    background-image: inherit;*/
/*    opacity: 0.5; !* Transparencia del 50% *!*/
/*}*/

/* Fin Estilos para el modal de trivias y encuestas */

/* Inicio Estilos para el ReCaptcha */
.grecaptcha-badge {
    width: 70px !important;
    overflow: hidden !important;
    transition: all 0.3s ease !important;
    left: 0 !important;
}

.grecaptcha-badge:hover {
    width: 256px !important;
}
/* Fin Estilos para el ReCaptcha */


/* INICIO Estilos chatbot */

#btn-toggle-chatbot {
    background-color: var(--button-bg-color) !important;
    position: fixed;
    bottom: 125px;
    right: 16px;
    border-radius: 25px 25px 25px 10px !important;
    border-color: white !important;
    width: 85px;
    height: 85px;
}

#btn-toggle-chatbot span {
    font-size:  28px !important;
}

/*#btn-abrir-chatbot span {*/
/*    color: #000000 !important;*/
/*}*/


/* Contenedor del chatbot */
.chatbot-container {
    width: 100%;
    max-width: 400px;
    position: fixed;
    bottom: 222px;
    right: 16px;
    background: var(--body-color);
    border-radius: 8px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
    display: none; /* Oculto por defecto */
    flex-direction: column;
    z-index: 1001;
    min-height: 500px; /* Alto fijo */
}

/* ANIMACIONES */
@keyframes chatbotFadeIn {
    from { opacity: 0; }
    to { opacity: 1; }
}

@keyframes chatbotFadeOut {
    from { opacity: 1; }
    to { opacity: 0; }
}

/* Animación para mostrar/ocultar el chat */
.chatbot-container.show {
    display: flex;
    animation: chatbotFadeIn 0.4s ease-out forwards;
}

.chatbot-container.hide {
    animation: chatbotFadeOut 0.4s ease-in forwards;
}

.chatbot-header {
    text-align: center;
    margin-bottom: 10px;
    padding: 10px;
    background-color: var(--button-bg-color) !important;
    color: var(--button-text-color) !important;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    display: flex;
    align-items: center;
    gap: 10px;
}

.chatbot-header img {
    width: 50px;
    height: 50px;
}

.chatbot-header h1 {
    margin: 0;
}

.chatbot-messages {
    flex-grow: 1;
    overflow-y: auto;
    /*border: 1px solid #ccc;*/
    padding: 10px;
    background-color: var(--body-color);
    border-bottom-left-radius: 6px;
    border-bottom-right-radius: 6px;
    max-height: 300px;
}

.chatbot-messages .user, .chatbot-messages .bot {
    padding: 10px;
    margin-bottom: 10px;
    border-radius: 5px;
    max-width: 70%;
}

/*.chatbot-messages .user {*/
/*    background-color: #e6e6e6 !important;*/
/*    align-self: flex-end;*/
/*    text-align: right;*/
/*}*/

.chatbot-messages .bot {
    background-color: #DEDCDC;
    align-self: flex-start;
}

.chatbot-input-area {
    /*display: flex;*/
    /*gap: 10px;*/
    /*padding: 10px;*/
    /*border-top: 1px solid #ccc;*/
}

.chatbot-footer {
    background-color: var(--button-bg-color) !important;
    color: var(--button-text-color) !important;
    font-size: 0.8rem;
    text-align: center;
    padding: 8px;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
}

/* Estilo de los globos del bot (alineados a la izquierda con fondo blanco) */
.bot {
    background-color: var(--bg-gris-oscuro-panel);
    align-self: flex-start;
    padding: 10px 15px;
    border-radius: 0 10px 10px 10px;
    max-width: 75%;
    font-size: 0.9rem;
    color: #000000 !important;
    border: 1px solid #e1e1e1; /* Borde sutil para diferenciarlo */
    white-space: pre-line; /* Para respetar los saltos de línea */
    margin-bottom: 10px;
}

/* Estilo para el nombre del bot en negrita */
.bot strong {
    font-weight: bold;
    display: block;
    margin-bottom: 4px;
}

/* Estilo de los globos del usuario (alineado a la derecha) */
.user {
    margin-left: auto; /* Alinea la burbuja a la derecha */
    text-align: left !important; /* Alinea el texto dentro de la burbuja a la izquierda */
    direction: ltr;
    background-color: var(--button-bg-color) !important;
    padding: 10px 15px;
    border-radius: 10px 0 10px 10px;
    max-width: 75%;
    font-size: 0.9rem;
    color: #FFFFFF;
    margin-bottom: 10px;
    white-space: pre-line; /* Permite saltos de línea */
}

/* Estilo para el nombre "Usted" en negrita en la primera línea */
.user strong {
    font-weight: bold;
    display: block;
    margin-bottom: 4px;
    color: #FFFFFF;
}

/* Estilo del indicador "El bot está escribiendo..." */
.typing-indicator {
    background-color: #f0f0f0; /* Fondo gris claro */
    color: #666;
    padding: 8px 12px;
    border-radius: 10px;
    align-self: flex-start;
    font-style: italic;
    font-size: 0.85rem;
    margin-bottom: 10px;
    max-width: 75%;
}

/* Estilo para botones de sugerencias dentro de los mensajes del bot */
.suggestion-buttons {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    margin-top: 10px;
    margin-bottom: 10px;
}

/*.suggestion-buttons button {*/
/*    padding: 10px 15px;*/
/*    background-color: #00539E;*/
/*    color: white;*/
/*    border: none;*/
/*    border-radius: 20px;*/
/*    cursor: pointer;*/
/*    font-size: 0.9rem;*/
/*    transition: background-color 0.3s;*/
/*}*/

/*.suggestion-buttons button:hover {*/
/*    background-color: #004988;*/
/*}*/


/* FIN Estilos chatbot */
